com.hazelcast.transaction

## Interface TransactionalTaskContext

- All Known Subinterfaces:
    ClientTransactionContext, TransactionContext
  All Known Implementing Classes:
    ManagedTransactionalTaskContext, TransactionContextProxy, XATransactionContextProxy

      public interface TransactionalTaskContext

  Provides a context to access transactional data-structures, like the `TransactionalMap`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `<E> TransactionalList<E>` | `getList(String name)` Returns the transactional list instance with the specified name.
    `<K,V> TransactionalMap<K,V>` | `getMap(String name)` Returns the transactional distributed map instance with the specified name.
    `<K,V> TransactionalMultiMap<K,V>` | `getMultiMap(String name)` Returns the transactional multimap instance with the specified name.
    `<E> TransactionalQueue<E>` | `getQueue(String name)` Returns the transactional queue instance with the specified name.
    `<E> TransactionalSet<E>` | `getSet(String name)` Returns the transactional set instance with the specified name.
    `<T extends TransactionalObject> T` | `getTransactionalObject(String serviceName, String name)` Returns the transactional object instance with the specified name and service name.

- - ### Method Detail

    - #### getMap

          <K,V> TransactionalMap<K,V> getMap(String name)

      Returns the transactional distributed map instance with the specified name.
      Parameters:
        `name` - name of the distributed transactional map
      Returns:
        transactional distributed map instance with the specified name

    - #### getQueue

          <E> TransactionalQueue<E> getQueue(String name)

      Returns the transactional queue instance with the specified name.
      Parameters:
        `name` - name of the transactional queue
      Returns:
        transactional queue instance with the specified name

    - #### getMultiMap

          <K,V> TransactionalMultiMap<K,V> getMultiMap(String name)

      Returns the transactional multimap instance with the specified name.
      Parameters:
        `name` - name of the transactional multimap
      Returns:
        transactional multimap instance with the specified name

    - #### getList

          <E> TransactionalList<E> getList(String name)

      Returns the transactional list instance with the specified name.
      Parameters:
        `name` - name of the transactional list
      Returns:
        transactional list instance with the specified name

    - #### getSet

          <E> TransactionalSet<E> getSet(String name)

      Returns the transactional set instance with the specified name.
      Parameters:
        `name` - name of the transactional set
      Returns:
        transactional set instance with the specified name

    - #### getTransactionalObject

          <T extends TransactionalObject> T getTransactionalObject(String serviceName,
                                                                   String name)

      Returns the transactional object instance with the specified name and service name.
      Parameters:
        `serviceName` - service name for the transactional object instance
        `name` - name of the transactional object instance
      Returns:
        transactional object instance with the specified name

Copyright © 2018. All rights reserved.